请选择 进入手机版 | 继续访问电脑版
显示全部楼层
200
帖子
1
勋章
3277
Y币

[云开发] 插件包里面的appcompat-1.1.0.aar云编译没有打包进去

[复制链接]
发表于 2022-8-1 17:39:56
插件包用了androicx的 appcompat-1.1.0.aar

但是编译打包后的apk里面

没有 androidx.appcompat.widget.Toolbar类了




9
帖子
1
勋章
5446
Y币
我这边反馈给开发看下
200
帖子
1
勋章
3277
Y币
插件包里面已经开启了以下配置。

<meta-data
        android:name="android.useAndroidX"
        android:value="true" />
20
帖子
1
勋章
7393
Y币
可能被别的模块中的同名aar包给冲掉了。
200
帖子
1
勋章
3277
Y币
我只加了我一个自定义插件包。没其他插件
常山赵子云 · 2022-8-1 19:54可能被别的模块中的同名aar包给冲掉了。
102
帖子
5
勋章
10万+
Y币
必须是1.1.0吗?? 你可以把1.0.0 放进插件包中试试
52yaoer · 2022-8-1 20:56我只加了我一个自定义插件包。没其他插件
200
帖子
1
勋章
3277
Y币
已解决

加了以下3个aar包,现在插件正常运行


appcompat-1.0.0.aar
vectordrawable-1.0.0.aar
vectordrawable-animated-1.0.0.aar
9
帖子
1
勋章
5446
Y币
厉害了,
您需要登录后才可以回帖 登录

本版积分规则